/	Copyright (c) 1984, 1986, 1987, 1988 AT&T
/	  All Rights Reserved

/	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
/	The copyright notice above does not evidence any
/	actual or intended publication of such source code.
	.file	"execl.s"

	.ident	"@(#)libc-i386:libc-i386/sys/execl.s	1.2"

#include <sys.s>

	.globl	execl
	.globl	execv

execl:
	MCOUNT			/ subroutine entry counter if profiling
	leal	8(%esp),%eax	/ address of args (retaddr + 1 arg)
	pushl	%eax
	pushl	8(%esp)		/ filename (push + retaddr)
	call	execv
	addl	$8,%esp
	ret
